Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceServerStatusResponse

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AceServerStatusResponse

    public class AceServerStatusResponse

extends java.lang.Object

Field Summary
`int` | `MAX_ALIAS`

Constructor Summary
`AceServerStatusResponse(AceSegment segment)`

Method Summary
`java.net.InetAddress` | `getAddress()`
`java.net.InetAddress[]` | `getAlias()`
`BitSwitch` | `getBitSwitch()`
`byte[]` | `getName()`
`byte` | `getStatus()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_ALIAS

    public final int MAX_ALIAS

See Also:
  Constant Field Values

Constructor Detail

### AceServerStatusResponse

    public AceServerStatusResponse(AceSegment segment)
                            throws java.net.UnknownHostException

Throws:
  `java.net.UnknownHostException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAddress

    public java.net.InetAddress getAddress()

  Returns:
    Returns the address.

### getAlias

    public java.net.InetAddress[] getAlias()

  Returns:
    Returns the alias.

### getName

    public byte[] getName()

  Returns:
    Returns the name.

### getStatus

    public byte getStatus()

  Returns:
    Returns the status.

### getBitSwitch

    public BitSwitch getBitSwitch()

  Returns:
    Returns the bitSwitch.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.